> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update SCIM Configuration

> Updates a SCIM configuration.

`Unary` · [`Organizations`](/docs/api-reference/generated/organization/overview)

Updates a SCIM configuration.

Use this method to:

* Enable or disable SCIM provisioning
* Link or unlink SSO configuration
* Update configuration name

### Examples

* Disable SCIM:

  Disables SCIM provisioning.

  ```yaml theme={null}
  scimConfigurationId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  enabled: false
  ```

* Link to SSO:

  Links SCIM configuration to an SSO provider.

  ```yaml theme={null}
  scimConfigurationId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ssoConfigurationId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/UpdateSCIMConfiguration
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.OrganizationService/UpdateSCIMConfiguration" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "scimConfigurationId": "<scim-configuration-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.organization_pb2 as organization_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = organization_pb2.UpdateSCIMConfigurationRequest(
      scim_configuration_id="<scim-configuration-id>",
  )
  response = ona.services.organization.update_scim_configuration(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { UpdateSCIMConfigurationRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(UpdateSCIMConfigurationRequestSchema, {
      scimConfigurationId: "<scim-configuration-id>",
    });
    const response = await ona.services.organization.updateSCIMConfiguration(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.UpdateSCIMConfigurationRequest{
  		ScimConfigurationId: "<scim-configuration-id>",
  	})
  	response, err := ona.Services.Organization.UpdateSCIMConfiguration(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "scimConfigurationId": "<scim-configuration-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.UpdateSCIMConfigurationRequest`

| Field                                | Type    | Required | Description                                                                                                                                                                  |
| ------------------------------------ | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `scimConfigurationId`                | string  | Yes      | scim\_configuration\_id is the ID of the SCIM configuration to update Constraints: `required=true, string.uuid=true`.                                                        |
| `name`                               | string  | No       | name is a human-readable name for the SCIM configuration Constraints: `string.max_len=128`.                                                                                  |
| `enabled`                            | boolean | No       | enabled controls whether SCIM provisioning is active                                                                                                                         |
| `ssoConfigurationId`                 | string  | No       | sso\_configuration\_id is the SSO configuration to link Constraints: `string.uuid=true`.                                                                                     |
| `allowUnverifiedEmailAccountLinking` | boolean | No       | allow\_unverified\_email\_account\_linking allows SCIM to link provisioned users to existing accounts when the identity provider does not mark the email address as verified |

## Response

`gitpod.v1.UpdateSCIMConfigurationResponse`

| Field               | Type                                                    | Required | Description                                                                         |
| ------------------- | ------------------------------------------------------- | -------- | ----------------------------------------------------------------------------------- |
| `scimConfiguration` | [SCIMConfiguration](#type-gitpod-v1-scim-configuration) | Yes      | scim\_configuration is the updated SCIM configuration Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-scim-configuration" />

<Accordion title="SCIMConfiguration">
  SCIMConfiguration represents a SCIM 2.0 provisioning configuration

  `gitpod.v1.SCIMConfiguration`

  | Field                                | Type               | Required | Description                                                                                                                                                                  |
  | ------------------------------------ | ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`                                 | string             | Yes      | id is the unique identifier of the SCIM configuration Constraints: `required=true, string.uuid=true`.                                                                        |
  | `organizationId`                     | string             | Yes      | organization\_id is the ID of the organization this SCIM configuration belongs to Constraints: `required=true, string.uuid=true`.                                            |
  | `name`                               | string             | No       | name is a human-readable name for the SCIM configuration Constraints: `string.max_len=128`.                                                                                  |
  | `enabled`                            | boolean            | No       | enabled indicates if SCIM provisioning is active                                                                                                                             |
  | `ssoConfigurationId`                 | string             | No       | sso\_configuration\_id is the linked SSO configuration (optional) Constraints: `string.uuid=true`.                                                                           |
  | `createdAt`                          | RFC 3339 timestamp | Yes      | created\_at is when the SCIM configuration was created Constraints: `required=true`.                                                                                         |
  | `updatedAt`                          | RFC 3339 timestamp | Yes      | updated\_at is when the SCIM configuration was last updated Constraints: `required=true`.                                                                                    |
  | `tokenExpiresAt`                     | RFC 3339 timestamp | Yes      | token\_expires\_at is when the current SCIM token expires Constraints: `required=true`.                                                                                      |
  | `allowUnverifiedEmailAccountLinking` | boolean            | No       | allow\_unverified\_email\_account\_linking allows SCIM to link provisioned users to existing accounts when the identity provider does not mark the email address as verified |
</Accordion>
